import * as react from 'react';
import { JSX } from '@public-ui/components';

interface StyleReactProps {
    class?: string;
    className?: string;
    style?: {
        [key: string]: any;
    };
}

type TagNameTransformer = (tagName: string) => string;
declare const setTagNameTransformer: (_tagNameTransformer: TagNameTransformer) => void;

declare const KolAbbr: react.ForwardRefExoticComponent<JSX.KolAbbr & Omit<react.HTMLAttributes<HTMLKolAbbrElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolAbbrElement>>;
declare const KolAccordion: react.ForwardRefExoticComponent<JSX.KolAccordion & Omit<react.HTMLAttributes<HTMLKolAccordionElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolAccordionElement>>;
declare const KolAlert: react.ForwardRefExoticComponent<JSX.KolAlert & Omit<react.HTMLAttributes<HTMLKolAlertElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolAlertElement>>;
declare const KolAvatar: react.ForwardRefExoticComponent<JSX.KolAvatar & Omit<react.HTMLAttributes<HTMLKolAvatarElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolAvatarElement>>;
declare const KolBadge: react.ForwardRefExoticComponent<JSX.KolBadge & Omit<react.HTMLAttributes<HTMLKolBadgeElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolBadgeElement>>;
declare const KolBreadcrumb: react.ForwardRefExoticComponent<JSX.KolBreadcrumb & Omit<react.HTMLAttributes<HTMLKolBreadcrumbElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolBreadcrumbElement>>;
declare const KolButton: react.ForwardRefExoticComponent<JSX.KolButton & Omit<react.HTMLAttributes<HTMLKolButtonElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolButtonElement>>;
declare const KolButtonLink: react.ForwardRefExoticComponent<JSX.KolButtonLink & Omit<react.HTMLAttributes<HTMLKolButtonLinkElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolButtonLinkElement>>;
declare const KolCard: react.ForwardRefExoticComponent<JSX.KolCard & Omit<react.HTMLAttributes<HTMLKolCardElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolCardElement>>;
declare const KolCombobox: react.ForwardRefExoticComponent<JSX.KolCombobox & Omit<react.HTMLAttributes<HTMLKolComboboxElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolComboboxElement>>;
declare const KolDetails: react.ForwardRefExoticComponent<JSX.KolDetails & Omit<react.HTMLAttributes<HTMLKolDetailsElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolDetailsElement>>;
declare const KolDrawer: react.ForwardRefExoticComponent<JSX.KolDrawer & Omit<react.HTMLAttributes<HTMLKolDrawerElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolDrawerElement>>;
declare const KolForm: react.ForwardRefExoticComponent<JSX.KolForm & Omit<react.HTMLAttributes<HTMLKolFormElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolFormElement>>;
declare const KolHeading: react.ForwardRefExoticComponent<JSX.KolHeading & Omit<react.HTMLAttributes<HTMLKolHeadingElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolHeadingElement>>;
declare const KolIcon: react.ForwardRefExoticComponent<JSX.KolIcon & Omit<react.HTMLAttributes<HTMLKolIconElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolIconElement>>;
declare const KolImage: react.ForwardRefExoticComponent<JSX.KolImage & Omit<react.HTMLAttributes<HTMLKolImageElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolImageElement>>;
declare const KolInputCheckbox: react.ForwardRefExoticComponent<JSX.KolInputCheckbox & Omit<react.HTMLAttributes<HTMLKolInputCheckboxElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolInputCheckboxElement>>;
declare const KolInputColor: react.ForwardRefExoticComponent<JSX.KolInputColor & Omit<react.HTMLAttributes<HTMLKolInputColorElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolInputColorElement>>;
declare const KolInputDate: react.ForwardRefExoticComponent<JSX.KolInputDate & Omit<react.HTMLAttributes<HTMLKolInputDateElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolInputDateElement>>;
declare const KolInputEmail: react.ForwardRefExoticComponent<JSX.KolInputEmail & Omit<react.HTMLAttributes<HTMLKolInputEmailElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolInputEmailElement>>;
declare const KolInputFile: react.ForwardRefExoticComponent<JSX.KolInputFile & Omit<react.HTMLAttributes<HTMLKolInputFileElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolInputFileElement>>;
declare const KolInputNumber: react.ForwardRefExoticComponent<JSX.KolInputNumber & Omit<react.HTMLAttributes<HTMLKolInputNumberElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolInputNumberElement>>;
declare const KolInputPassword: react.ForwardRefExoticComponent<JSX.KolInputPassword & Omit<react.HTMLAttributes<HTMLKolInputPasswordElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolInputPasswordElement>>;
declare const KolInputRadio: react.ForwardRefExoticComponent<JSX.KolInputRadio & Omit<react.HTMLAttributes<HTMLKolInputRadioElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolInputRadioElement>>;
declare const KolInputRange: react.ForwardRefExoticComponent<JSX.KolInputRange & Omit<react.HTMLAttributes<HTMLKolInputRangeElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolInputRangeElement>>;
declare const KolInputText: react.ForwardRefExoticComponent<JSX.KolInputText & Omit<react.HTMLAttributes<HTMLKolInputTextElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolInputTextElement>>;
declare const KolKolibri: react.ForwardRefExoticComponent<JSX.KolKolibri & Omit<react.HTMLAttributes<HTMLKolKolibriElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolKolibriElement>>;
declare const KolLink: react.ForwardRefExoticComponent<JSX.KolLink & Omit<react.HTMLAttributes<HTMLKolLinkElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolLinkElement>>;
declare const KolLinkButton: react.ForwardRefExoticComponent<JSX.KolLinkButton & Omit<react.HTMLAttributes<HTMLKolLinkButtonElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolLinkButtonElement>>;
declare const KolModal: react.ForwardRefExoticComponent<JSX.KolModal & Omit<react.HTMLAttributes<HTMLKolModalElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolModalElement>>;
declare const KolNav: react.ForwardRefExoticComponent<JSX.KolNav & Omit<react.HTMLAttributes<HTMLKolNavElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolNavElement>>;
declare const KolPagination: react.ForwardRefExoticComponent<JSX.KolPagination & Omit<react.HTMLAttributes<HTMLKolPaginationElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolPaginationElement>>;
declare const KolPopoverButton: react.ForwardRefExoticComponent<JSX.KolPopoverButton & Omit<react.HTMLAttributes<HTMLKolPopoverButtonElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolPopoverButtonElement>>;
declare const KolPopoverButtonWc: react.ForwardRefExoticComponent<JSX.KolPopoverButtonWc & Omit<react.HTMLAttributes<HTMLKolPopoverButtonWcElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolPopoverButtonWcElement>>;
declare const KolProgress: react.ForwardRefExoticComponent<JSX.KolProgress & Omit<react.HTMLAttributes<HTMLKolProgressElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolProgressElement>>;
declare const KolQuote: react.ForwardRefExoticComponent<JSX.KolQuote & Omit<react.HTMLAttributes<HTMLKolQuoteElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolQuoteElement>>;
declare const KolSelect: react.ForwardRefExoticComponent<JSX.KolSelect & Omit<react.HTMLAttributes<HTMLKolSelectElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolSelectElement>>;
declare const KolSingleSelect: react.ForwardRefExoticComponent<JSX.KolSingleSelect & Omit<react.HTMLAttributes<HTMLKolSingleSelectElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolSingleSelectElement>>;
declare const KolSkipNav: react.ForwardRefExoticComponent<JSX.KolSkipNav & Omit<react.HTMLAttributes<HTMLKolSkipNavElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolSkipNavElement>>;
declare const KolSpin: react.ForwardRefExoticComponent<JSX.KolSpin & Omit<react.HTMLAttributes<HTMLKolSpinElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolSpinElement>>;
declare const KolSplitButton: react.ForwardRefExoticComponent<JSX.KolSplitButton & Omit<react.HTMLAttributes<HTMLKolSplitButtonElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolSplitButtonElement>>;
declare const KolTableStateful: react.ForwardRefExoticComponent<JSX.KolTableStateful & Omit<react.HTMLAttributes<HTMLKolTableStatefulElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolTableStatefulElement>>;
declare const KolTableStateless: react.ForwardRefExoticComponent<JSX.KolTableStateless & Omit<react.HTMLAttributes<HTMLKolTableStatelessElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolTableStatelessElement>>;
declare const KolTabs: react.ForwardRefExoticComponent<JSX.KolTabs & Omit<react.HTMLAttributes<HTMLKolTabsElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolTabsElement>>;
declare const KolTextarea: react.ForwardRefExoticComponent<JSX.KolTextarea & Omit<react.HTMLAttributes<HTMLKolTextareaElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolTextareaElement>>;
declare const KolToastContainer: react.ForwardRefExoticComponent<JSX.KolToastContainer & Omit<react.HTMLAttributes<HTMLKolToastContainerElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolToastContainerElement>>;
declare const KolToolbar: react.ForwardRefExoticComponent<JSX.KolToolbar & Omit<react.HTMLAttributes<HTMLKolToolbarElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolToolbarElement>>;
declare const KolTree: react.ForwardRefExoticComponent<JSX.KolTree & Omit<react.HTMLAttributes<HTMLKolTreeElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolTreeElement>>;
declare const KolTreeItem: react.ForwardRefExoticComponent<JSX.KolTreeItem & Omit<react.HTMLAttributes<HTMLKolTreeItemElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolTreeItemElement>>;
declare const KolTreeItemWc: react.ForwardRefExoticComponent<JSX.KolTreeItemWc & Omit<react.HTMLAttributes<HTMLKolTreeItemWcElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolTreeItemWcElement>>;
declare const KolVersion: react.ForwardRefExoticComponent<JSX.KolVersion & Omit<react.HTMLAttributes<HTMLKolVersionElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLKolVersionElement>>;

declare function createReactRenderElement(hostElement: HTMLElement): HTMLDivElement;

export { KolAbbr, KolAccordion, KolAlert, KolAvatar, KolBadge, KolBreadcrumb, KolButton, KolButtonLink, KolCard, KolCombobox, KolDetails, KolDrawer, KolForm, KolHeading, KolIcon, KolImage, KolInputCheckbox, KolInputColor, KolInputDate, KolInputEmail, KolInputFile, KolInputNumber, KolInputPassword, KolInputRadio, KolInputRange, KolInputText, KolKolibri, KolLink, KolLinkButton, KolModal, KolNav, KolPagination, KolPopoverButton, KolPopoverButtonWc, KolProgress, KolQuote, KolSelect, KolSingleSelect, KolSkipNav, KolSpin, KolSplitButton, KolTableStateful, KolTableStateless, KolTabs, KolTextarea, KolToastContainer, KolToolbar, KolTree, KolTreeItem, KolTreeItemWc, KolVersion, createReactRenderElement, setTagNameTransformer };
